##### basic_raw_socket::basic_raw_socket (1 of 6 overloads)

Construct a `basic_raw_socket` without opening it.

    basic_raw_socket(
        asio::io_context & io_context);

This constructor creates a raw socket without opening it. The `open()` function must be called before data can be sent or received on the socket.

###### Parameters

io_context

  The `io_context` object that the raw socket will use to dispatch handlers for any asynchronous operations performed on the socket.